Makefile.in 17 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348349350351352353354355356357358359360361362363364365366367368369370371372373374375376377378379380381382383384385386387388389390391392393394395396397398399400401402403404405406407408409410411412413414415416417418419420421422423424425426427428429430431432433434435436437438439440441442443444445446447448449450451452453454455456457458459460461462463464465466467468469470471472473474475476477478479480481482483484485486487488489490491492493494495496497498499500501502503504505506507508509510511512513514515516517518519520521522523524525526527528
  1. # Makefile.in generated by automake 1.9.5 from Makefile.am.
  2. # @configure_input@
  3. # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
  4. # 2003, 2004, 2005 Free Software Foundation, Inc.
  5. # This Makefile.in is free software; the Free Software Foundation
  6. # gives unlimited permission to copy and/or distribute it,
  7. # with or without modifications, as long as this notice is preserved.
  8. # This program is distributed in the hope that it will be useful,
  9. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  10. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  11. # PARTICULAR PURPOSE.
  12. @SET_MAKE@
  13. #
  14. # ngIRCd -- The Next Generation IRC Daemon
  15. # Copyright (c)2001,2002 by Alexander Barton (alex@barton.de)
  16. #
  17. # Dieses Programm ist freie Software. Sie koennen es unter den Bedingungen
  18. # der GNU General Public License (GPL), wie von der Free Software Foundation
  19. # herausgegeben, weitergeben und/oder modifizieren, entweder unter Version 2
  20. # der Lizenz oder (wenn Sie es wuenschen) jeder spaeteren Version.
  21. # Naehere Informationen entnehmen Sie bitter der Datei COPYING. Eine Liste
  22. # der an ngIRCd beteiligten Autoren finden Sie in der Datei AUTHORS.
  23. #
  24. # $Id: Makefile.am,v 1.8 2005/04/16 09:23:01 fw Exp $
  25. #
  26. SOURCES = $(libngportab_a_SOURCES) $(portabtest_SOURCES)
  27. srcdir = @srcdir@
  28. top_srcdir = @top_srcdir@
  29. VPATH = @srcdir@
  30. pkgdatadir = $(datadir)/@PACKAGE@
  31. pkglibdir = $(libdir)/@PACKAGE@
  32. pkgincludedir = $(includedir)/@PACKAGE@
  33. top_builddir = ../..
  34. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  35. INSTALL = @INSTALL@
  36. install_sh_DATA = $(install_sh) -c -m 644
  37. install_sh_PROGRAM = $(install_sh) -c
  38. install_sh_SCRIPT = $(install_sh) -c
  39. INSTALL_HEADER = $(INSTALL_DATA)
  40. transform = $(program_transform_name)
  41. NORMAL_INSTALL = :
  42. PRE_INSTALL = :
  43. POST_INSTALL = :
  44. NORMAL_UNINSTALL = :
  45. PRE_UNINSTALL = :
  46. POST_UNINSTALL = :
  47. build_triplet = @build@
  48. host_triplet = @host@
  49. target_triplet = @target@
  50. ANSI2KNR = @ANSI2KNR@
  51. check_PROGRAMS = portabtest$(EXEEXT)
  52. subdir = src/portab
  53. DIST_COMMON = $(noinst_HEADERS) $(srcdir)/Makefile.am \
  54. $(srcdir)/Makefile.in ansi2knr.1 ansi2knr.c
  55. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  56. am__aclocal_m4_deps = $(top_srcdir)/configure.in
  57. am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  58. $(ACLOCAL_M4)
  59. mkinstalldirs = $(install_sh) -d
  60. CONFIG_HEADER = $(top_builddir)/src/config.h
  61. CONFIG_CLEAN_FILES =
  62. LIBRARIES = $(noinst_LIBRARIES)
  63. AR = ar
  64. ARFLAGS = cru
  65. libngportab_a_AR = $(AR) $(ARFLAGS)
  66. libngportab_a_LIBADD =
  67. am_libngportab_a_OBJECTS = strlcpy$U.$(OBJEXT) strdup$U.$(OBJEXT) \
  68. vsnprintf$U.$(OBJEXT)
  69. libngportab_a_OBJECTS = $(am_libngportab_a_OBJECTS)
  70. am_portabtest_OBJECTS = portabtest$U.$(OBJEXT)
  71. portabtest_OBJECTS = $(am_portabtest_OBJECTS)
  72. portabtest_DEPENDENCIES =
  73. DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/src
  74. depcomp = $(SHELL) $(top_srcdir)/depcomp
  75. am__depfiles_maybe = depfiles
  76. COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
  77. $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
  78. CCLD = $(CC)
  79. LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
  80. SOURCES = $(libngportab_a_SOURCES) $(portabtest_SOURCES)
  81. DIST_SOURCES = $(libngportab_a_SOURCES) $(portabtest_SOURCES)
  82. HEADERS = $(noinst_HEADERS)
  83. ETAGS = etags
  84. CTAGS = ctags
  85. DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  86. ACLOCAL = @ACLOCAL@
  87. AMDEP_FALSE = @AMDEP_FALSE@
  88. AMDEP_TRUE = @AMDEP_TRUE@
  89. AMTAR = @AMTAR@
  90. AUTOCONF = @AUTOCONF@
  91. AUTOHEADER = @AUTOHEADER@
  92. AUTOMAKE = @AUTOMAKE@
  93. AWK = @AWK@
  94. CC = @CC@
  95. CCDEPMODE = @CCDEPMODE@
  96. CFLAGS = @CFLAGS@
  97. CPP = @CPP@
  98. CPPFLAGS = @CPPFLAGS@
  99. CYGPATH_W = @CYGPATH_W@
  100. DEFS = @DEFS@
  101. DEPDIR = @DEPDIR@
  102. ECHO_C = @ECHO_C@
  103. ECHO_N = @ECHO_N@
  104. ECHO_T = @ECHO_T@
  105. EGREP = @EGREP@
  106. EXEEXT = @EXEEXT@
  107. INSTALL_DATA = @INSTALL_DATA@
  108. INSTALL_PROGRAM = @INSTALL_PROGRAM@
  109. INSTALL_SCRIPT = @INSTALL_SCRIPT@
  110. INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  111. LDFLAGS = @LDFLAGS@
  112. LIBOBJS = @LIBOBJS@
  113. LIBS = @LIBS@
  114. LN_S = @LN_S@
  115. LTLIBOBJS = @LTLIBOBJS@
  116. MAKEINFO = @MAKEINFO@
  117. OBJEXT = @OBJEXT@
  118. PACKAGE = @PACKAGE@
  119. PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  120. PACKAGE_NAME = @PACKAGE_NAME@
  121. PACKAGE_STRING = @PACKAGE_STRING@
  122. PACKAGE_TARNAME = @PACKAGE_TARNAME@
  123. PACKAGE_VERSION = @PACKAGE_VERSION@
  124. PATH_SEPARATOR = @PATH_SEPARATOR@
  125. RANLIB = @RANLIB@
  126. SET_MAKE = @SET_MAKE@
  127. SHELL = @SHELL@
  128. STRIP = @STRIP@
  129. U = @U@
  130. VERSION = @VERSION@
  131. ac_ct_CC = @ac_ct_CC@
  132. ac_ct_RANLIB = @ac_ct_RANLIB@
  133. ac_ct_STRIP = @ac_ct_STRIP@
  134. am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
  135. am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  136. am__include = @am__include@
  137. am__leading_dot = @am__leading_dot@
  138. am__quote = @am__quote@
  139. am__tar = @am__tar@
  140. am__untar = @am__untar@
  141. bindir = @bindir@
  142. build = @build@
  143. build_alias = @build_alias@
  144. build_cpu = @build_cpu@
  145. build_os = @build_os@
  146. build_vendor = @build_vendor@
  147. datadir = @datadir@
  148. exec_prefix = @exec_prefix@
  149. host = @host@
  150. host_alias = @host_alias@
  151. host_cpu = @host_cpu@
  152. host_os = @host_os@
  153. host_vendor = @host_vendor@
  154. includedir = @includedir@
  155. infodir = @infodir@
  156. install_sh = @install_sh@
  157. libdir = @libdir@
  158. libexecdir = @libexecdir@
  159. localstatedir = @localstatedir@
  160. mandir = @mandir@
  161. mkdir_p = @mkdir_p@
  162. oldincludedir = @oldincludedir@
  163. prefix = @prefix@
  164. program_transform_name = @program_transform_name@
  165. sbindir = @sbindir@
  166. sharedstatedir = @sharedstatedir@
  167. sysconfdir = @sysconfdir@
  168. target = @target@
  169. target_alias = @target_alias@
  170. target_cpu = @target_cpu@
  171. target_os = @target_os@
  172. target_vendor = @target_vendor@
  173. AUTOMAKE_OPTIONS = ansi2knr
  174. noinst_LIBRARIES = libngportab.a
  175. libngportab_a_SOURCES = strlcpy.c strdup.c vsnprintf.c
  176. portabtest_SOURCES = portabtest.c
  177. portabtest_LDFLAGS = -L.
  178. portabtest_LDADD = -lngportab
  179. noinst_HEADERS = imp.h exp.h portab.h
  180. TESTS = portabtest
  181. all: all-am
  182. .SUFFIXES:
  183. .SUFFIXES: .c .o .obj
  184. $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
  185. @for dep in $?; do \
  186. case '$(am__configure_deps)' in \
  187. *$$dep*) \
  188. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
  189. && exit 0; \
  190. exit 1;; \
  191. esac; \
  192. done; \
  193. echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu src/portab/Makefile'; \
  194. cd $(top_srcdir) && \
  195. $(AUTOMAKE) --gnu src/portab/Makefile
  196. .PRECIOUS: Makefile
  197. Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  198. @case '$?' in \
  199. *config.status*) \
  200. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
  201. *) \
  202. echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
  203. cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
  204. esac;
  205. $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  206. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  207. $(top_srcdir)/configure: $(am__configure_deps)
  208. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  209. $(ACLOCAL_M4): $(am__aclocal_m4_deps)
  210. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  211. clean-noinstLIBRARIES:
  212. -test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)
  213. libngportab.a: $(libngportab_a_OBJECTS) $(libngportab_a_DEPENDENCIES)
  214. -rm -f libngportab.a
  215. $(libngportab_a_AR) libngportab.a $(libngportab_a_OBJECTS) $(libngportab_a_LIBADD)
  216. $(RANLIB) libngportab.a
  217. clean-checkPROGRAMS:
  218. -test -z "$(check_PROGRAMS)" || rm -f $(check_PROGRAMS)
  219. portabtest$(EXEEXT): $(portabtest_OBJECTS) $(portabtest_DEPENDENCIES)
  220. @rm -f portabtest$(EXEEXT)
  221. $(LINK) $(portabtest_LDFLAGS) $(portabtest_OBJECTS) $(portabtest_LDADD) $(LIBS)
  222. mostlyclean-compile:
  223. -rm -f *.$(OBJEXT)
  224. distclean-compile:
  225. -rm -f *.tab.c
  226. ansi2knr: ansi2knr.$(OBJEXT)
  227. $(LINK) ansi2knr.$(OBJEXT) $(LIBS)
  228. ansi2knr.$(OBJEXT): $(CONFIG_HEADER)
  229. clean-krextra:
  230. -rm -f ansi2knr
  231. mostlyclean-kr:
  232. -test "$U" = "" || rm -f *_.c
  233. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/portabtest$U.Po@am__quote@
  234. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/strdup$U.Po@am__quote@
  235. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/strlcpy$U.Po@am__quote@
  236. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/vsnprintf$U.Po@am__quote@
  237. .c.o:
  238. @am__fastdepCC_TRUE@ if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
  239. @am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
  240. @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  241. @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  242. @am__fastdepCC_FALSE@ $(COMPILE) -c $<
  243. .c.obj:
  244. @am__fastdepCC_TRUE@ if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
  245. @am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
  246. @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  247. @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  248. @am__fastdepCC_FALSE@ $(COMPILE) -c `$(CYGPATH_W) '$<'`
  249. portabtest_.c: portabtest.c $(ANSI2KNR)
  250. $(CPP) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/portabtest.c; then echo $(srcdir)/portabtest.c; else echo portabtest.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > $@ || rm -f $@
  251. strdup_.c: strdup.c $(ANSI2KNR)
  252. $(CPP) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/strdup.c; then echo $(srcdir)/strdup.c; else echo strdup.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > $@ || rm -f $@
  253. strlcpy_.c: strlcpy.c $(ANSI2KNR)
  254. $(CPP) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/strlcpy.c; then echo $(srcdir)/strlcpy.c; else echo strlcpy.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > $@ || rm -f $@
  255. vsnprintf_.c: vsnprintf.c $(ANSI2KNR)
  256. $(CPP) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/vsnprintf.c; then echo $(srcdir)/vsnprintf.c; else echo vsnprintf.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > $@ || rm -f $@
  257. portabtest_.$(OBJEXT) strdup_.$(OBJEXT) strlcpy_.$(OBJEXT) \
  258. vsnprintf_.$(OBJEXT) : $(ANSI2KNR)
  259. uninstall-info-am:
  260. ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
  261. list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
  262. unique=`for i in $$list; do \
  263. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  264. done | \
  265. $(AWK) ' { files[$$0] = 1; } \
  266. END { for (i in files) print i; }'`; \
  267. mkid -fID $$unique
  268. tags: TAGS
  269. TAGS: $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
  270. $(TAGS_FILES) $(LISP)
  271. tags=; \
  272. here=`pwd`; \
  273. list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
  274. unique=`for i in $$list; do \
  275. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  276. done | \
  277. $(AWK) ' { files[$$0] = 1; } \
  278. END { for (i in files) print i; }'`; \
  279. if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
  280. test -n "$$unique" || unique=$$empty_fix; \
  281. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  282. $$tags $$unique; \
  283. fi
  284. ctags: CTAGS
  285. CTAGS: $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
  286. $(TAGS_FILES) $(LISP)
  287. tags=; \
  288. here=`pwd`; \
  289. list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
  290. unique=`for i in $$list; do \
  291. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  292. done | \
  293. $(AWK) ' { files[$$0] = 1; } \
  294. END { for (i in files) print i; }'`; \
  295. test -z "$(CTAGS_ARGS)$$tags$$unique" \
  296. || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  297. $$tags $$unique
  298. GTAGS:
  299. here=`$(am__cd) $(top_builddir) && pwd` \
  300. && cd $(top_srcdir) \
  301. && gtags -i $(GTAGS_ARGS) $$here
  302. distclean-tags:
  303. -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  304. check-TESTS: $(TESTS)
  305. @failed=0; all=0; xfail=0; xpass=0; skip=0; \
  306. srcdir=$(srcdir); export srcdir; \
  307. list='$(TESTS)'; \
  308. if test -n "$$list"; then \
  309. for tst in $$list; do \
  310. if test -f ./$$tst; then dir=./; \
  311. elif test -f $$tst; then dir=; \
  312. else dir="$(srcdir)/"; fi; \
  313. if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
  314. all=`expr $$all + 1`; \
  315. case " $(XFAIL_TESTS) " in \
  316. *" $$tst "*) \
  317. xpass=`expr $$xpass + 1`; \
  318. failed=`expr $$failed + 1`; \
  319. echo "XPASS: $$tst"; \
  320. ;; \
  321. *) \
  322. echo "PASS: $$tst"; \
  323. ;; \
  324. esac; \
  325. elif test $$? -ne 77; then \
  326. all=`expr $$all + 1`; \
  327. case " $(XFAIL_TESTS) " in \
  328. *" $$tst "*) \
  329. xfail=`expr $$xfail + 1`; \
  330. echo "XFAIL: $$tst"; \
  331. ;; \
  332. *) \
  333. failed=`expr $$failed + 1`; \
  334. echo "FAIL: $$tst"; \
  335. ;; \
  336. esac; \
  337. else \
  338. skip=`expr $$skip + 1`; \
  339. echo "SKIP: $$tst"; \
  340. fi; \
  341. done; \
  342. if test "$$failed" -eq 0; then \
  343. if test "$$xfail" -eq 0; then \
  344. banner="All $$all tests passed"; \
  345. else \
  346. banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
  347. fi; \
  348. else \
  349. if test "$$xpass" -eq 0; then \
  350. banner="$$failed of $$all tests failed"; \
  351. else \
  352. banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
  353. fi; \
  354. fi; \
  355. dashes="$$banner"; \
  356. skipped=""; \
  357. if test "$$skip" -ne 0; then \
  358. skipped="($$skip tests were not run)"; \
  359. test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
  360. dashes="$$skipped"; \
  361. fi; \
  362. report=""; \
  363. if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
  364. report="Please report to $(PACKAGE_BUGREPORT)"; \
  365. test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
  366. dashes="$$report"; \
  367. fi; \
  368. dashes=`echo "$$dashes" | sed s/./=/g`; \
  369. echo "$$dashes"; \
  370. echo "$$banner"; \
  371. test -z "$$skipped" || echo "$$skipped"; \
  372. test -z "$$report" || echo "$$report"; \
  373. echo "$$dashes"; \
  374. test "$$failed" -eq 0; \
  375. else :; fi
  376. distdir: $(DISTFILES)
  377. @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
  378. topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
  379. list='$(DISTFILES)'; for file in $$list; do \
  380. case $$file in \
  381. $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
  382. $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
  383. esac; \
  384. if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  385. dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
  386. if test "$$dir" != "$$file" && test "$$dir" != "."; then \
  387. dir="/$$dir"; \
  388. $(mkdir_p) "$(distdir)$$dir"; \
  389. else \
  390. dir=''; \
  391. fi; \
  392. if test -d $$d/$$file; then \
  393. if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  394. cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
  395. fi; \
  396. cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
  397. else \
  398. test -f $(distdir)/$$file \
  399. || cp -p $$d/$$file $(distdir)/$$file \
  400. || exit 1; \
  401. fi; \
  402. done
  403. check-am: all-am
  404. $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
  405. $(MAKE) $(AM_MAKEFLAGS) check-TESTS
  406. check: check-am
  407. all-am: Makefile $(ANSI2KNR) $(LIBRARIES) $(HEADERS)
  408. installdirs:
  409. install: install-am
  410. install-exec: install-exec-am
  411. install-data: install-data-am
  412. uninstall: uninstall-am
  413. install-am: all-am
  414. @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  415. installcheck: installcheck-am
  416. install-strip:
  417. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  418. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  419. `test -z '$(STRIP)' || \
  420. echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
  421. mostlyclean-generic:
  422. clean-generic:
  423. distclean-generic:
  424. -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  425. maintainer-clean-generic:
  426. @echo "This command is intended for maintainers to use"
  427. @echo "it deletes files that may require special tools to rebuild."
  428. clean: clean-am
  429. clean-am: clean-checkPROGRAMS clean-generic clean-krextra \
  430. clean-noinstLIBRARIES mostlyclean-am
  431. distclean: distclean-am
  432. -rm -rf ./$(DEPDIR)
  433. -rm -f Makefile
  434. distclean-am: clean-am distclean-compile distclean-generic \
  435. distclean-tags
  436. dvi: dvi-am
  437. dvi-am:
  438. html: html-am
  439. info: info-am
  440. info-am:
  441. install-data-am:
  442. install-exec-am:
  443. install-info: install-info-am
  444. install-man:
  445. installcheck-am:
  446. maintainer-clean: maintainer-clean-am
  447. -rm -rf ./$(DEPDIR)
  448. -rm -f Makefile
  449. maintainer-clean-am: distclean-am maintainer-clean-generic \
  450. maintainer-clean-local
  451. mostlyclean: mostlyclean-am
  452. mostlyclean-am: mostlyclean-compile mostlyclean-generic mostlyclean-kr
  453. pdf: pdf-am
  454. pdf-am:
  455. ps: ps-am
  456. ps-am:
  457. uninstall-am: uninstall-info-am
  458. .PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
  459. clean-checkPROGRAMS clean-generic clean-krextra \
  460. clean-noinstLIBRARIES ctags distclean distclean-compile \
  461. distclean-generic distclean-tags distdir dvi dvi-am html \
  462. html-am info info-am install install-am install-data \
  463. install-data-am install-exec install-exec-am install-info \
  464. install-info-am install-man install-strip installcheck \
  465. installcheck-am installdirs maintainer-clean \
  466. maintainer-clean-generic maintainer-clean-local mostlyclean \
  467. mostlyclean-compile mostlyclean-generic mostlyclean-kr pdf \
  468. pdf-am ps ps-am tags uninstall uninstall-am uninstall-info-am
  469. maintainer-clean-local:
  470. rm -f Makefile Makefile.in
  471. # -eof-
  472. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  473. # Otherwise a system limit (for SysV at least) may be exceeded.
  474. .NOEXPORT: